<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <meta name="generator" content="pandoc" />
  <title>Data</title>
  <style type="text/css">code{white-space: pre;}</style>
</head>
<body>
<style>
body {
    margin: auto;
    padding-right: 1em;
    padding-left: 1em;
    max-width: 44em;
    border-left: 1px solid black;
    border-right: 1px solid black;
    color: black;
    font-family: Verdana, sans-serif;
    font-size: 100%;
    line-height: 140%;
    color: #333;
}
pre, tt{
    font-family: monospace;
    background-color:#f8f8f8;
    padding: 2px 4px;
}
code{
    background-color:#f8f8f8;
    white-space: pre-wrap;
    font-size: 110%;
    padding: 1px 1px;
}
h1 a, h2 a, h3 a, h4 a, h5 a, li a {
    text-decoration: none;
    color: #7a5ada;
}
h1, h2, h3, h4, h5 { font-family: verdana;
                     font-weight: bold;
                     /*border-bottom: 1px dotted black;*/
                     color: #7a5ada; }
h1 {
        font-size: 130%;
}

h2 {
        font-size: 110%;
                     border-bottom: 1px dotted black;
}

h3 {
        font-size: 100%;
                     border-bottom: 1px dotted black;
}

h4 {
        font-size: 90%;
        font-style: italic;
                     border-bottom: 1px dotted black;
}

h5 {
        font-size: 85%;
        font-style: italic;
                     border-bottom: 1px dotted black;
}

h1.title {
        font-size: 200%;
        font-weight: bold;
        padding-top: 0.2em;
        padding-bottom: 0.2em;
        text-align: left;
        border: none;
}

dt code {
        font-weight: bold;
}
dd p {
        margin-top: 0;
}

#footer {
        padding-top: 1em;
        font-size: 70%;
        color: gray;
        text-align: center;
}
</style>
<div id="header">
<h1 class="title">Data</h1>
</div>
<div id="TOC">
<ul>
<li><a href="#sample-entries">Sample entries</a></li>
<li><a href="#characters-and-types">Characters and Types</a><ul>
<li><a href="#action">~ Action</a></li>
<li><a href="#event">* Event</a></li>
<li><a href="#occasion">^ Occasion</a></li>
<li><a href="#note">! Note</a></li>
<li><a href="#task">- Task</a></li>
<li><a href="#delegated-task">% Delegated task</a></li>
<li><a href="#task-group">+ Task group</a></li>
<li><a href="#in-basket">$ In basket</a></li>
<li><a href="#someday-maybe">? Someday maybe</a></li>
<li><a href="#hidden"># Hidden</a></li>
<li><a href="#defaults">= Defaults</a></li>
</ul></li>
<li><a href="#dates">Dates</a><ul>
<li><a href="#fuzzy-dates-and-time-periods">Fuzzy dates and time periods</a></li>
<li><a href="#anniversary-substitutions">Anniversary substitutions</a></li>
</ul></li>
<li><a href="#key-value-pairs"><span class="citation">@key-value</span> pairs</a><ul>
<li><a href="#a-alert"><span class="citation">@a</span> alert</a></li>
<li><a href="#b-beginby"><span class="citation">@b</span> beginby</a></li>
<li><a href="#c-context"><span class="citation">@c</span> context</a></li>
<li><a href="#d-description"><span class="citation">@d</span> description</a></li>
<li><a href="#e-extent"><span class="citation">@e</span> extent</a></li>
<li><a href="#f-done-due"><span class="citation">@f</span> done[; due]</a></li>
<li><a href="#g-goto"><span class="citation">@g</span> goto</a></li>
<li><a href="#j-job"><span class="citation">@j</span> job</a></li>
<li><a href="#k-keyword"><span class="citation">@k</span> keyword</a></li>
<li><a href="#l-location"><span class="citation">@l</span> location</a></li>
<li><a href="#m-memo"><span class="citation">@m</span> memo</a></li>
<li><a href="#o-overdue"><span class="citation">@o</span> overdue</a></li>
<li><a href="#p-priority"><span class="citation">@p</span> priority</a></li>
<li><a href="#r-repetition-rule"><span class="citation">@r</span> repetition rule</a></li>
<li><a href="#s-starting-datetime"><span class="citation">@s</span> starting datetime</a></li>
<li><a href="#t-tags"><span class="citation">@t</span> tags</a></li>
<li><a href="#u-user"><span class="citation">@u</span> user</a></li>
<li><a href="#v-action_rates-key"><span class="citation">@v</span> action_rates key</a></li>
<li><a href="#w-action_markups-key"><span class="citation">@w</span> action_markups key</a></li>
<li><a href="#x-expense"><span class="citation">@x</span> expense</a></li>
<li><a href="#z-time-zone"><span class="citation">@z</span> time zone</a></li>
<li><a href="#include">@+ include</a></li>
<li><a href="#exclude">@- exclude</a></li>
</ul></li>
<li><a href="#folders">Folders</a></li>
</ul>
</div>
<p>Items in <em>etm</em> begin with a type character such as an asterisk (event) and continue on one or more lines either until the end of the file is reached or another line is found that begins with a type character. The beginning type character for each item is followed by the item summary and then, perhaps, by one or more <code>@key value</code> pairs. The order in which such pairs are entered does not matter.</p>
<h3 id="sample-entries"><a href="#sample-entries">Sample entries</a></h3>
<ul>
<li><p>A sales meeting (an event) [s]tarting seven days from today at 9:00am and [e]xtending for one hour with a default [a]lert 5 minutes before the start:</p>
<pre><code>* sales meeting @s +7 9a @e 1h @a 5</code></pre></li>
<li><p>The sales meeting with another [a]lert 2 days before the meeting to (e)mail a reminder to a list of recipients:</p>
<pre><code>* sales meeting @s +7 9a @e 1h @a 5
  @a 2d: e; who@when.com, what@where.org</code></pre></li>
<li><p>Prepare a report (a task) for the sales meeting [b]eginning 3 days early:</p>
<pre><code>- prepare report @s +7 @b 3</code></pre></li>
<li><p>A period [e]xtending 35 minutes (an action) spent working on the report yesterday:</p>
<pre><code>~ report preparation @s -1 @e 35</code></pre></li>
<li><p>Get a haircut (a task) on the 24th of the current month and then [r]epeatedly at (d)aily [i]ntervals of (14) days and, [o]n completion, (r)estart from the completion date:</p>
<pre><code>- get haircut @s 24 @r d &amp;i 14 @o r</code></pre></li>
<li><p>Payday (an occassion) on the last week day of each month. The <code>&amp;s -1</code> part of the entry extracts the last date which is both a weekday and falls within the last three days of the month):</p>
<pre><code>^ payday @s 1/1 @r m &amp;w (MO, TU, WE, TH, FR) &amp;m (-1, -2, -3) &amp;s -1</code></pre></li>
<li><p>Take a prescribed medication daily (a reminder) [s]tarting today and [r]epeating (d)aily at [h]ours 10am, 2pm, 6pm and 10pm [u]ntil (12am on) the fourth day from today. Trigger the default [a]lert zero minutes before each event:</p>
<pre><code>* take Rx @s +0 @r d &amp;h 10, 14, 18, 22 &amp;u +4 @a 0</code></pre></li>
<li><p>Presidential election day (an occasion) every four years on the first Tuesday after a Monday in November:</p>
<pre><code>^ Presidential Election Day @s 2012-11-06
  @r y &amp;i 4 &amp;M 11 &amp;m (2,3,4,5,6,7,8) &amp;w TU</code></pre></li>
<li><p>Join the etm discussion group (a task) [s]tarting on the first day of the next month. Because of the <span class="citation">@g</span> (goto) link, pressing Ctrl-G when the details of this item are displayed in the gui would open the link using the system default application which, in this case, would be your default browser:</p>
<pre><code>- join the etm discussion group @s +1/1
  @g http://groups.google.com/group/eventandtaskmanager/topics</code></pre></li>
</ul>
<h3 id="characters-and-types"><a href="#characters-and-types">Characters and Types</a></h3>
<h4 id="action"><a href="#action">~ Action</a></h4>
<p>A record of an action involving the expenditure of time (<code>@e</code>) and/or money (<code>@x</code>). Actions are not reminders, they are instead records of how time and/or money was actually spent. Action lines begin with a tilde, <code>~</code>.</p>
<pre><code>    ~ picked up lumber and paint @s mon 3p @e 1h15m @x 127.32</code></pre>
<p>Entries such as <code>@s mon 3p</code>, <code>@e 1h15m</code> and <code>@x 127.32</code> are discussed below under <em>Item details</em>. Action entries form the basis for time and expense billing using action reports - see <em>help/reports</em>.</p>
<h4 id="event"><a href="#event">* Event</a></h4>
<p>Something that will happen on particular day(s) and time(s). Event lines begin with an asterick, <code>*</code>.</p>
<pre><code>    * dinner with Karen and Al @s sat 7p @e 3h</code></pre>
<p>Events have a starting datetime, <code>@s</code> and an extent, <code>@e</code>. The ending datetime is given implicitly as the sum of the starting datetime and the extent. Events that span more than one day are possible, e.g.,</p>
<pre><code>    * Sales conference @s 9a wed @e 2d8h</code></pre>
<p>begins at 9am on Wednesday and ends at 5pm on Friday.</p>
<p>An event without an <code>@e</code> entry or with <code>@e 0</code> is regarded as a <em>reminder</em> and, since there is no extent, will not be displayed in the <em>week view</em>.</p>
<h4 id="occasion"><a href="#occasion">^ Occasion</a></h4>
<p>Holidays, anniversaries, birthdays and the like. Like an event with a date but no starting time and no extent. Occasions begin with a caret sign, <code>^</code>.</p>
<pre><code>    ^ The !1776! Independence Day @s 2010-07-04 @r y &amp;M 7 &amp;m 4</code></pre>
<p>On July 4, 2013, this would appear as <code>The 237th Independence Day</code>.</p>
<h4 id="note"><a href="#note">! Note</a></h4>
<p>A record of some useful information. Note lines begin with an exclamation point, <code>!</code>.</p>
<pre><code>! xyz software @d user: dnlg, pw: abc123def</code></pre>
<h4 id="task"><a href="#task">- Task</a></h4>
<p>Something that needs to be done. It may or may not have a due date. Task lines begin with a minus sign, <code>-</code>.</p>
<pre><code>- pay bills @s Oct 25</code></pre>
<p>A task with an <code>@s</code> entry becomes due on that date and past due when that date has passed. If the task also has an <code>@b</code> begin-by entry, then advance warnings of the task will begin appearing the specified number of days before the task is due. An <code>@e</code> entry in a task is interpreted as an estimate of the time required to finish the task.</p>
<h4 id="delegated-task"><a href="#delegated-task">% Delegated task</a></h4>
<p>A task that is assigned to someone else, usually the person designated in an <code>@u</code> entry. Delegated tasks begin with a percent sign, <code>%</code>.</p>
<pre><code>    % make reservations for trip @u joe @s fri</code></pre>
<h4 id="task-group"><a href="#task-group">+ Task group</a></h4>
<p>A collection of related tasks, some of which may be prerequities for others. Task groups begin with a plus sign, <code>+</code>.</p>
<pre><code>    + dog house
      @j pickup lumber and paint      &amp;q 1
      @j cut pieces                   &amp;q 2
      @j assemble                     &amp;q 3
      @j paint                        &amp;q 4</code></pre>
<p>Note that a task group is a single item and is treated as such. E.g., if any job is selected for editing then the entire group is displayed.</p>
<p>Individual jobs are given by the <code>@j</code> entries. The <em>queue</em> entries, <code>&amp;q</code>, set the order --- tasks with smaller &amp;q values are prerequisites for subsequent tasks with larger &amp;q values. In the example above, neither &quot;pickup lumber&quot; nor &quot;pickup paint&quot; have any prerequisites. &quot;Pickup lumber&quot;, however, is a prerequisite for &quot;cut pieces&quot; which, in turn, is a prerequisite for &quot;assemble&quot;. Both &quot;assemble&quot; and &quot;pickup paint&quot; are prerequisites for &quot;paint&quot;.</p>
The way a task group is displayed is illustrated below. Note that jobs are numbered and that jobs with unfinished prerequisites are labeled with a different icon.
<center>
<img src="images/doghouse1.png" title="no finished jobs" />
</center>

When a job is completed, its icon is changed and it is displayed on the date the job was completed. Note that completing &quot;pickup lumber&quot; makes &quot;cut pieces&quot; available for completion.
<center>
<img src="images/doghouse2.png" title="one finished job" />
</center>

<h4 id="in-basket"><a href="#in-basket">$ In basket</a></h4>
<p>A quick, don't worry about the details item to be edited later when you have the time. In basket entries begin with a dollar sign, <code>$</code>.</p>
<pre><code>    $ joe 919 123-4567</code></pre>
<p>If you create an item using <em>etm</em> and forget to provide a type character, an <code>$</code> will automatically be inserted.</p>
<h4 id="someday-maybe"><a href="#someday-maybe">? Someday maybe</a></h4>
<p>Something are you don't want to forget about altogether but don't want to appear on your next or scheduled lists. Someday maybe items begin with a question mark, <code>?</code>.</p>
<pre><code>    ? lose weight and exercise more</code></pre>
<h4 id="hidden"><a href="#hidden"># Hidden</a></h4>
<p>Hidden items begin with a hash mark, <code>#</code>. Such items are ignored by etm save for appearing in the folder view. Stick a hash mark in front of any item that you don't want to delete but don't want to see in your other views.</p>
<h4 id="defaults"><a href="#defaults">= Defaults</a></h4>
<p>Default entries begin with an equal sign, <code>=</code>. These entries consist of <code>@key value</code> pairs which then become the defaults for subsequent entries in the same file until another <code>=</code> entry is reached.</p>
<p>Suppose, for example, that a particular file contains items relating to &quot;project_a&quot; for &quot;client_1&quot;. Then entering</p>
<pre><code>= @k client_1:project_a</code></pre>
<p>on the first line of the file and</p>
<pre><code>=</code></pre>
<p>on the twentieth line of the file would set the default keyword for entries between the first and twentieth line in the file.</p>
<h3 id="dates"><a href="#dates">Dates</a></h3>
<h4 id="fuzzy-dates-and-time-periods"><a href="#fuzzy-dates-and-time-periods">Fuzzy dates and time periods</a></h4>
<p>When either a <em>datetime</em> or an <em>time period</em> is to be entered, special formats are used in <em>etm</em>. Examples include entering a starting datetime for an item using <code>@s</code>, jumping to a date using Ctrl-J and calculating a date using F5.</p>
<p>Suppose, for example, that it is currently 8:30am on Friday, February 15, 2013. Then, <em>fuzzy dates</em> would expand into the values illustrated below.</p>
<ul>
<li><code>mon 2p</code> or <code>mon 14h</code>: 2:00pm Monday, February 19</li>
<li><code>fri</code>: 12:00am Friday, February 15</li>
<li><code>9a -1/1</code> or <code>9h -1/1</code>: 9:00am Tuesday, January 1</li>
<li><code>+2/15</code>: 12:00am Monday, April 15 2013</li>
<li><code>8p +7</code> or <code>20h +7</code>: 8:00pm Friday, February 22</li>
<li><code>-14</code>: 12:00am Friday, February 1</li>
<li><code>now</code>: 8:30am Friday, February 15</li>
</ul>
<p>Note that 12am is the default time when a time is not explicity entered. E.g., <code>+2/15</code> in the examples above gives 12:00am on April 15.</p>
<p>To avoid ambiguity, always append either 'a', 'p' or 'h' when entering an hourly time, e.g., use <code>1p</code> or <code>13h</code>.</p>
<p>Time periods are entered using the format <code>DdHhMm</code> where D, H and M are integers and d, h and m refer to days, hours and minutes respectively. For example:</p>
<ul>
<li><code>2h30m</code>: 2 hours, 30 minutes</li>
<li><code>7d</code>: 7 days</li>
<li><code>45m</code>: 45 minutes</li>
</ul>
<p>As an example, if it is currently 8:50am on Friday February 15, 2013, then entering <code>now + 2d4h30m</code> into the date calculator would give <code>2013-02-17 1:20pm</code>. If, at the same time, an item were saved on a system in the <code>US/Eastern</code> time zone which contained the entry <code>@s now @z Australia/Sydney</code> then the expanded value would be <code>@s 2013-02-16 12:50am</code>, which is &quot;now&quot; in Sydney.</p>
<p>Dates and times are always stored in <em>etm</em> data files as times in the time zone given by the entry for <code>@z</code>. On the other hand, dates and times are always displayed in <em>etm</em> using the local time zone of the system. In the previous illustration, for example, the data file would contain <code>@s 2013-02-16 12:50am @z Australia/Sydney</code> but this item would be displayed as starting at <code>2013-02-15 8:50am</code> on a system in the <code>US/Eastern</code> time zone.</p>
<h4 id="anniversary-substitutions"><a href="#anniversary-substitutions">Anniversary substitutions</a></h4>
<p>An anniversary substitution is an expression of the form <code>!YYYY!</code> that appears in an item summary. Consider, for example, the occassion</p>
<pre><code>^ !2010! anniversary @s 2011-02-20 @r y</code></pre>
<p>This would appear on Feb 20 of 2011, 2012, 2013 and 2014, respectively, as <em>1st anniversary</em>, <em>2nd anniversary</em>, <em>3rd anniversary</em> and <em>4th anniversary</em>.The suffixes, <em>st</em>, <em>nd</em> and so forth, depend upon the translation file for the locale.</p>
<h3 id="key-value-pairs"><a href="#key-value-pairs"><span class="citation">@key-value</span> pairs</a></h3>
<h4 id="a-alert"><a href="#a-alert"><span class="citation">@a</span> alert</a></h4>
<p>The specification of the alert(s) to use with the item. One or more alerts can be specified in an item. E.g.,</p>
<pre><code>@a 10m, 5m
@a 1h: s</code></pre>
<p>would trigger the alert(s) specified by <code>default_alert</code> in your <code>etm.cfg</code> at 10 and 5 minutes before the starting time and a (s)ound alert one hour before the starting time.</p>
<p>The alert</p>
<pre><code>@a 2d: e; who@what.com, where2@when.org; filepath1, filepath2</code></pre>
<p>would send an email to the two listed recipients exactly 2 days (48 hours) before the starting time of the item with the item summary as the subject, with file1 and file2 as attachments and with the body of the message composed using <code>email_template</code> from your <code>etm.cfg</code>.</p>
<p>Similarly, the alert</p>
<pre><code>@a 10m: t; 9191234567@vtext.com, 9197654321@txt.att.net</code></pre>
<p>would send a text message 10 minutes before the starting time of the item to the two mobile phones listed (using 10 digit area code and carrier mms extension) together with the settings for <code>sms</code> in <code>etm.cfg</code>. If no numbers are given, the number and mms extension specified in <code>sms.phone</code> will be used. Here are the mms extensions for the major US carriers:</p>
<pre><code>Alltel          @message.alltel.com
AT&amp;T            @txt.att.net
Nextel          @messaging.nextel.com
Sprint          @messaging.sprintpcs.com
SunCom          @tms.suncom.com
T-mobile        @tmomail.net
VoiceStream     @voicestream.net
Verizon         @vtext.com</code></pre>
<p>Finally,</p>
<pre><code>@a 0: p; program_path</code></pre>
<p>would execute <code>program_path</code> at the starting time of the item.</p>
<p>The format for each of these:</p>
<pre><code>@a &lt;trigger times&gt; [: action [; arguments]]</code></pre>
<p>In addition to the default action used when the optional <code>: action</code> is not given, there are the following possible values for <code>action</code>:</p>
<ul>
<li><code>d</code> Execute <code>alert_displaycmd</code> in <code>etm.cfg</code>.</li>
<li><code>e; recipients[;attachments]</code> Send an email to <code>recipients</code> (a comma separated list of email addresses) optionally attaching <code>attachments</code> (a comma separated list of file paths). The item summary is used as the subject of the email and the expanded value of <code>email_template</code> from <code>etm.cfg</code> as the body.</li>
<li><code>m</code> Display an internal etm message box using <code>alert_template</code>.</li>
<li><code>p; process</code> Execute the command given by <code>process</code>.</li>
<li><code>s</code> Execute <code>alert_soundcmd</code> in <code>etm.cfg</code>.</li>
<li><code>t [; phonenumbers]</code> Send text messages to <code>phonenumbers</code> (a comma separated list of 10 digit phone numbers with the sms extension of the carrier appended) with the expanded value of <code>sms.message</code> as the text message.</li>
<li><code>v</code> Execute <code>alert_voicecmd</code> in <code>etm.cfg</code>.</li>
</ul>
<p>Note: either <code>e</code> or <code>p</code> can be combined with other actions in a single alert but not with one another.</p>
<h4 id="b-beginby"><a href="#b-beginby"><span class="citation">@b</span> beginby</a></h4>
<p>An integer number of days before the starting date time at which to begin displaying <em>begin by</em> notices. When notices are displayed they will be sorted by the item's starting datetime and then by the item's priority, if any.</p>
<h4 id="c-context"><a href="#c-context"><span class="citation">@c</span> context</a></h4>
<p>Intended primarily for tasks to indicate the context in which the task can be completed. Common contexts include home, office, phone, computer and errands. The &quot;next view&quot; supports this usage by showing undated tasks, grouped by context. If you're about to run errands, for example, you can open the &quot;next view&quot;, look under &quot;errands&quot; and be sure that you will have no &quot;wish I had remembered&quot; regrets.</p>
<h4 id="d-description"><a href="#d-description"><span class="citation">@d</span> description</a></h4>
<p>An elaboration of the details of the item to complement the summary.</p>
<h4 id="e-extent"><a href="#e-extent"><span class="citation">@e</span> extent</a></h4>
<p>A time period string such as <code>1d2h</code> (1 day 2 hours). For an action, this would be the elapsed time. For a task, this could be an estimate of the time required for completion. For an event, this would be the duration. The ending time of the event would be this much later than the starting datetime.</p>
<h4 id="f-done-due"><a href="#f-done-due"><span class="citation">@f</span> done[; due]</a></h4>
<p>Datetimes; tasks, delegated tasks and task groups only. When a task is completed an <code>@f done</code> entry is added to the task. When the task has a due date, <code>; due</code> is appended to the entry. Similarly, when a job from a task group is completed in etm, an <code>&amp;f done</code> or <code>&amp;f done; due</code> entry is appended to the job and it is removed from the list of prerequisites for the other jobs. In both cases <code>done</code> is the completion datetime and <code>due</code>, if added, is the datetime that the task or job was due. The completed task or job is shown as finished on the completion date. When the last job in a task group is finished an <code>@f done</code> or <code>@f done; due</code> entry is added to the task group itself reflecting the datetime that the last job was done and, if the task group is repeating, the <code>&amp;f</code> entries are removed from the individual jobs.</p>
<p>Another step is taken for repeating task groups. When the first job in a task group is completed, the <code>@s</code> entry is updated using the setting for <code>@o</code> (above) to show the next datetime the task group is due and the <code>@f</code> entry is removed from the task group. This means when some, but not all of the jobs for the current repetition have been completed, only these job completions will be displayed. Otherwise, when none of the jobs for the current repetition have been completed, then only that last completion of the task group itself will be displayed.</p>
<p>Consider, for example, the following repeating task group which repeats monthly on the last weekday on or before the 25th.</p>
<pre><code>+ pay bills @s 11/23 @f 10/24;10/25
  @r m &amp;w MO,TU,WE,TH,FR &amp;m 23,24,25 &amp;s -1
  @j organize bills &amp;q 1
  @j pay on-line bills &amp;q 3
  @j get stamps, envelopes, checkbook &amp;q 1
  @j write checks &amp;q 2
  @j mail checks &amp;q 3</code></pre>
<p>Here &quot;organize bills&quot; and &quot;get stamps, envelopes, checkbook&quot; have no prerequisites. &quot;Organize bills&quot;, however, is a prerequisite for &quot;pay on-line bills&quot; and both &quot;organize bills&quot; and &quot;get stamps, envelops, checkbook&quot; are prerequisites for &quot;write checks&quot; which, in turn, is a prerequisite for &quot;mail checks&quot;.</p>
<p>The repetition that was due on 10/25 was completed on 10/24. The next repetition was due on 11/23 and, since none of the jobs for this repetition have been completed, the completion of the group on 10/24 and the list of jobs due on 11/23 will be displayed initially. The following sequence of screen shots show the effect of completing the jobs for the 11/23 repetition one by one on 11/27.</p>
<center>
<img src="images/paybills1.png" title="Completion 1" /> <img src="images/paybills2.png" title="Completion 2" />
</center>

<center>
<img src="images/paybills3.png" title="Completion 1" /> <img src="images/paybills4.png" title="Completion 2" />
</center>

<center>
<img src="images/paybills5.png" title="Completion 1" /> <img src="images/paybills6.png" title="Completion 2" />
</center>



<h4 id="g-goto"><a href="#g-goto"><span class="citation">@g</span> goto</a></h4>
<p>The path to a file or a URL to be opened using the system default application when the user presses <em>Control-G</em> in the GUI.</p>
<h4 id="j-job"><a href="#j-job"><span class="citation">@j</span> job</a></h4>
<p>Component tasks or jobs within a task group are given by <code>@j job</code> entries. <code>@key value</code> entries prior to the first <code>@j</code> become the defaults for the jobs that follow. <code>&amp;key value</code> entries given in jobs use <code>&amp;</code> rather than <code>@</code> and apply only to the specific job.</p>
<p>Many key-value pairs can be given either in the group task using <code>@</code> or in the component jobs using <code>&amp;</code>:</p>
<ul>
<li><code>@c</code> or <code>&amp;c</code>: context</li>
<li><code>@d</code> or <code>&amp;d</code>: description</li>
<li><code>@e</code> or <code>&amp;e</code>: extent</li>
<li><code>@f</code> or <code>&amp;f</code>: done[; due] (datetimes)</li>
<li><code>@k</code> or <code>&amp;k</code>: keyword</li>
<li><code>@l</code> or <code>&amp;l</code>: location</li>
</ul>
<p>The key-value pair <code>&amp;q</code> (queue position) can <em>only</em> be given in component jobs where it is required. Key-values other than <code>&amp;q</code> and those listed above, can <em>only</em> be given in the initial group task entry and their values are inherited by the component jobs.</p>
<h4 id="k-keyword"><a href="#k-keyword"><span class="citation">@k</span> keyword</a></h4>
<p>A heirarchical classifier for the item. Intended for actions to support time billing where a common format would be <code>client:job:category</code>. <em>etm</em> treats such a keyword as a heirarchy so that an action report grouped by month and then keyword might appear as follows</p>
<pre><code>    27.5h) Client 1 (3)
        4.9h) Project A (1)
        15h) Project B (1)
        7.6h) Project C (1)
    24.2h) Client 2 (3)
        3.1h) Project D (1)
        21.1h) Project E (2)
            5.1h) Category a (1)
            16h) Category b (1)
    4.2h) Client 3 (1)
    8.7h) Client 4 (2)
        2.1h) Project F (1)
        6.6h) Project G (1)</code></pre>
<p>An arbitrary number of heirarchical levels in keywords is supported.</p>
<h4 id="l-location"><a href="#l-location"><span class="citation">@l</span> location</a></h4>
<p>The location at which, for example, an event will take place.</p>
<h4 id="m-memo"><a href="#m-memo"><span class="citation">@m</span> memo</a></h4>
<p>Further information about the item not included in the summary or the description. Since the summary is used as the subject of an email alert and the descripton is commonly included in the body of an email alert, this field could be used for information not to be included in the email.</p>
<h4 id="o-overdue"><a href="#o-overdue"><span class="citation">@o</span> overdue</a></h4>
<p>Repeating tasks only. One of the following choices: k) keep, r) restart, or s) skip. Details below.</p>
<h4 id="p-priority"><a href="#p-priority"><span class="citation">@p</span> priority</a></h4>
<p>Either 0 (no priority) or an intger between 1 (highest priority) and 9 (lowest priority). Primarily used with undated tasks.</p>
<h4 id="r-repetition-rule"><a href="#r-repetition-rule"><span class="citation">@r</span> repetition rule</a></h4>
<p>The specification of how an item is to repeat. Repeating items <strong>must</strong> have an <code>@s</code> entry as well as one or more <code>@r</code> entries. Generated datetimes are those satisfying any of the <code>@r</code> entries and falling <strong>on or after</strong> the datetime given in <code>@s</code>. Note that the datetime given in <code>@s</code> will only be included if it matches one of the datetimes generated by the <code>@r</code> entry.</p>
<p>A repetition rule begins with</p>
<pre><code>@r frequency</code></pre>
<p>where <code>frequency</code> is one of the following characters:</p>
<ul>
<li><code>y</code>: yearly</li>
<li><code>m</code>: monthly</li>
<li><code>m</code>: weekly</li>
<li><code>d</code>: daily</li>
<li><code>l</code>: list (a list of datetimes will be provided using <code>@+</code>)</li>
</ul>
<p>The <code>@r frequency</code> entry can, optionally, be followed by one or more <code>&amp;key value</code> pairs:</p>
<ul>
<li><code>&amp;i</code>: interval (positive integer, default = 1) E.g, with frequency <code>w</code>, interval 3 would repeat every three weeks.</li>
<li><code>&amp;t</code>: total (positive integer) Include no more than this total number of repetitions.</li>
<li><code>&amp;s</code>: bysetpos (integer) See the payday example below for an illustration of bysetpos.</li>
<li><code>&amp;u</code>: until (datetime) Only include repetitions falling <strong>before</strong> (not including) this datetime.</li>
<li><code>&amp;M</code>: bymonth (1, 2, ..., 12)</li>
<li><code>&amp;m</code>: bymonthday (1, 2, ..., 31) Use, e.g., -1 for the last day of the month.</li>
<li><code>&amp;W</code>: byweekno (1, 2, ..., 53)</li>
<li><code>&amp;w</code>: byweekday (<em>English</em> weekday abbreviation SU ... SA). Use, e.g., 3WE for the 3rd Wednesday or -1FR, for the last Friday in the month.</li>
<li><code>&amp;h</code>: byhour (0 ... 23)</li>
<li><code>&amp;n</code>: byminute (0 ... 59)</li>
</ul>
<p>Repetition examples:</p>
<ul>
<li><p>1st and 3rd Wednesdays of each month.</p>
<pre><code>^ 1st and 3rd Wednesdays
  @r m &amp;w 1WE, 3WE</code></pre></li>
<li><p>Payday (an occasion) on the last week day of each month. (The <code>&amp;s -1</code> entry extracts the last date which is both a weekday and falls within the last three days of the month.)</p>
<pre><code>^ payday @s 2010-07-01
  @r m &amp;w MO, TU, WE, TH, FR &amp;m -1, -2, -3 &amp;s -1</code></pre></li>
<li><p>Take a prescribed medication daily (an event) from the 23rd through the 27th of the current month at 10am, 2pm, 6pm and 10pm and trigger an alert zero minutes before each event.</p>
<pre><code>* take Rx @d 10a 23  @r d &amp;u 11p 27 &amp;h 10, 14 18, 22 @a 0</code></pre></li>
<li><p>Vote for president (an occasion) every four years on the first Tuesday after a Monday in November. (The <code>&amp;m range(2,9)</code> requires the month day to fall within 2 ... 8 and thus, combined with <code>&amp;w TU</code> to be the first Tuesday following a Monday.)</p>
<pre><code>^ Vote for president @s 2012-11-06
  @r y &amp;i 4 &amp;M 11 &amp;m range(2,9) &amp;w TU</code></pre></li>
</ul>
<p>Optionally, <code>@+</code> and <code>@-</code> entries can be given.</p>
<ul>
<li><code>@+</code>: include (comma separated list to datetimes to be <em>added</em> to those generated by the <code>@r</code> entries)</li>
<li><code>@-</code>: exclude (comma separated list to datetimes to be <em>removed</em> from those generated by the <code>@r</code> entries)</li>
</ul>
<p>A repeating <em>task</em> may optionally also include an <code>@o &lt;k|s|r&gt;</code> entry (default = k):</p>
<ul>
<li><p><code>@o k</code>: Keep the current due date if it becomes overdue and use the next due date from the recurrence rule if it is finished early. This would be appropriate, for example, for the task 'file tax return'. The return due April 15, 2009 must still be filed even if it is overdue and the 2010 return won't be due until April 15, 2010 even if the 2009 return is finished early.</p></li>
<li><p><code>@o s</code>: Skip overdue due dates and set the due date for the next repetition to the first due date from the recurrence rule on or after the current date. This would be appropriate, for example, for the task 'put out the trash' since there is no point in putting it out on Tuesday if it's picked up on Mondays. You might just as well wait until the next Monday to put it out. There's also no point in being reminded until the next Monday.</p></li>
<li><p><code>@o r</code>: Restart the repetitions based on the last completion date. Suppose you want to mow the grass once every ten days and that when you mowed yesterday, you were already nine days past due. Then you want the next due date to be ten days from yesterday and not today. Similarly, if you were one day early when you mowed yesterday, then you would want the next due date to be ten days from yesterday and not ten days from today.</p></li>
</ul>
<h4 id="s-starting-datetime"><a href="#s-starting-datetime"><span class="citation">@s</span> starting datetime</a></h4>
<p>When an action is started, an event begins or a task is due.</p>
<h4 id="t-tags"><a href="#t-tags"><span class="citation">@t</span> tags</a></h4>
<p>A tag or list of tags for the item.</p>
<h4 id="u-user"><a href="#u-user"><span class="citation">@u</span> user</a></h4>
<p>Intended to specify the person to whom a delegated task is assigned. Could also be used in actions to indicate the person performing the action.</p>
<h4 id="v-action_rates-key"><a href="#v-action_rates-key"><span class="citation">@v</span> action_rates key</a></h4>
<p>Actions only. A key from <code>action_rates</code> in your etm.cft to apply to the value of <code>@e</code>. Used in actions to apply a billing rate to time spent in an action. E.g., with</p>
<pre><code>    minutes: 6
    action_rates:
        br1: 45.0
        br2: 60.0</code></pre>
<p>then entries of <code>@v br1</code> and <code>@e 2h25m</code> in an action would entail a value of <code>45.0 * 2.5 = 112.50</code>.</p>
<h4 id="w-action_markups-key"><a href="#w-action_markups-key"><span class="citation">@w</span> action_markups key</a></h4>
<p>A key from <code>action_markups</code> in your <code>etm.cfg</code> to apply to the value of <code>@x</code>. Used in actions to apply a markup rate to expense in an action. E.g., with</p>
<pre><code>    weights:
        mr1: 1.5
        mr2: 10.0</code></pre>
<p>then entries of <code>@w mr1</code> and <code>@x 27.50</code> in an action would entail a value of <code>27.50 * 1.5 = 41.25</code>.</p>
<h4 id="x-expense"><a href="#x-expense"><span class="citation">@x</span> expense</a></h4>
<p>Actions only. A currency amount such as <code>27.50</code>. Used in conjunction with <span class="citation">@w</span> above to bill for action expenditures.</p>
<h4 id="z-time-zone"><a href="#z-time-zone"><span class="citation">@z</span> time zone</a></h4>
<p>The time zone of the item, e.g., US/Eastern. The starting and other datetimes in the item will be interpreted as belonging to this time zone.</p>
<h4 id="include"><a href="#include">@+ include</a></h4>
<p>A datetime or list of datetimes to be added to the repetitions generated by the <code>@r rrule</code> entry. If only a date is provided, 12:00am is assumed.</p>
<h4 id="exclude"><a href="#exclude">@- exclude</a></h4>
<p>A datetime or list of datetimes to be removed from the repetitions generated by the <code>@r rrule</code> entry. If only a date is provided, 12:00am is assumed.</p>
<p>Note that to exclude a datetime from the recurrence rule, the @- datetime <em>must exactly match both the date and time</em> generated by the recurrence rule.</p>
<h3 id="folders"><a href="#folders">Folders</a></h3>
<p><em>etm</em> offers two heirarchical ways of organizing your data: by folder (file path) and by keyword. There are no hard and fast rules about how to use these heirarchies but the goal is a system that makes complementary uses of folder and keyword and fits your needs. As with any filing system, planning and consistency are paramount.</p>
<p>For example, one pattern of use for a business would be to use folders for people and keywords for client-project-category.</p>
<p>Similarly, a family could use folders to separate personal and shared items for family members, for example:</p>
<pre><code>root etm data directory
    dag
    erp
    shared
        holidays
        birthdays
        events</code></pre>
<p>Here</p>
<pre><code>~dag/.etm/etm.cfg
~erp/.etm/etm.cfg</code></pre>
<p>would both contain <code>datadir</code> entries specifying the common root data directory. Additionally, if these configuration files contained, respectively, the entries</p>
<pre><code>calendars
- [dag, true, dag]
- [erp, false, erp]
- [shared, true, shared]</code></pre>
<p>and</p>
<pre><code>calendars
- [erp, true, erp]
- [dag, false, dag]
- [shared, true, shared]</code></pre>
<p>then, by default, both dag and erp would see the entries from their personal files as well as the shared entries and each could optionally view the entries from the other's personal files as well. See the <em>Preferences</em> tab for details on the <code>calendars</code> entry.</p>
</body>
</html>
